%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%define	python_module_name	%{name}

Name:		labyrinth
Version:	0.4.0
Release:	5%{?dist}
Summary:	A simple yet powerful mind-mapping tool for the GNOME desktop
Summary(es):	Una aplicación sencilla y poderosa para hacer mapas de mente

Group:		Applications/Productivity
License:	GPLv2+
URL:		http://www.gnome.org/~dscorgie/labyrinth.html

Source0:	http://download.gnome.org/sources/%{name}/0.4/%{name}-%{version}.tar.bz2

Patch0: 	%{name}-add-es-translation.patch
Source1:	%{name}-es.po

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

BuildRequires:	gettext
BuildRequires:	perl(XML::Parser)
BuildRequires:	pygtk2-devel >= 2.8
BuildRequires:	gnome-python2-devel >= 2.12
BuildRequires:	gnome-desktop-devel >= 2.14
BuildRequires:	desktop-file-utils

Requires:	pygtk2-libglade >= 2.8
Requires:	PyXML

## Taken from the website's "About" page, as well as Wikipedia's explanation
## of a mind-map.
%description
Labyrinth is a lightweight mind-mapping tool, intended to be as light and
intuitive as possible, but still provide a wide range of powerful features.

A mind-map is a diagram used to represent words, ideas, tasks or other items
linked to and arranged radially around a central key word or idea. It is used
to generate, visualize, structure and classify ideas, and as an aid in study,
organization, problem solving, and decision making.

%description -l es
«Labyrinth» es una aplicación pequeña para hacer mapas de mente que se trata
de ser la más pequeña y intuitiva posible mientras proporcionar una grán
variedad de características poderosas.

Un mapa de mente es una diagrama que se usa para representar palabras, ideas,
quehaceres, u otras cosas conectadas la una al otra organizado radialmente
sobre un idea o una palabra central. Se usa ésto para generar, visualizar,
estructurar y clasificar ideas. También se puede usar como un ayudante para
estudiar, organizar, solver problemas, y hacer decisiones.


%prep
%setup -q
%{__install} -m 644 %{SOURCE1} po/es.po
%patch0 -b .add-es-translation


%build
%configure
make %{?_smp_flags} 


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} 
%find_lang %{name} 
desktop-file-install --vendor fedora	\
	--dir %{buildroot}%{_datadir}/applications	\
	--delete-original	\
	--remove-category=Application	\
	%{buildroot}/%{_datadir}/applications/%{name}.desktop


%post
touch --no-create %{_datadir}/icons/hicolor ||:
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:


%postun
touch --no-create %{_datadir}/icons/hicolor ||:
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{python_sitelib}/%{python_module_name}/
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/applications/fedora-%{name}.desktop


%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.4.0-3
- Rebuild for Python 2.6

* Thu Nov 20 2008 Peter Gordon <peter@thecodergeek.com>
- Fix Source0 URL.

* Tue Aug  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.4.0-2
- fix license tag

* Wed Apr 02 2008 Peter Gordon <peter@thecodergeek.com> - 0.4.0-1
- Update to new upstream release (0.4.0); Yay!
- Drop the interpreter patch (fixed upstream):
  - fix-interpreters.patch
- Add Spanish translation (to the %%description and Summary, also):
  + es.po, add-es-translation.patch

* Fri Dec 08 2006 Peter Gordon <peter@thecodergeek.com> - 0.3-2
- Rebuild for Python 2.5 upgrade

* Wed Nov 15 2006 Peter Gordon <peter@thecodergeek.com> - 0.3-1
- Initial packaging.
- Add patch to fix interpreters on MainWindow.py and Links.py scripts:
  + fix-interpreters.patch
